BEGIN ~ALORA~

IF WEIGHT #-1
~NumTimesTalkedTo(0)~ THEN BEGIN MeetAlora
  SAY ~Hey!~
  IF ~ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)~ THEN GOTO 0
  IF ~ReactionLT(LastTalkedToBy,FRIENDLY_LOWER) ReactionGT(LastTalkedToBy,HOSTILE_UPPER)~ THEN GOTO 1
  IF ~ReactionLT(LastTalkedToBy,NEUTRAL_LOWER)~ THEN GOTO 2
END

IF ~~ THEN BEGIN 0
  SAY ~Oh!  Scared me you did!  I suppose I'm caught then?  Peacefully I'll go, I'm not much for fighting.  . . .Wait a minute. . .Holy Leapin' Lavender Lizards!  You're not the guard!  You're. . .you're burglaring just like me!  Now this IS exciting!  We should. . .we should work together!  Yeah!  I could use the help. . .uh. . .I mean, we could just help each other a little bit.  Just for this one heist, you keep watch while I point out the good stuff.  You can even keep most of it!  I got a good tip on where to be looking!  Whatcha say?~
  IF ~~ THEN REPLY ~That is a good idea.  I'll keep watch and help you.  ~  GOTO 6
  IF ~~ THEN REPLY ~I have no interest in a thief so easily caught.  Off with you!~  GOTO 5
  IF ~~ THEN REPLY ~You've seen me!  I'm sorry, but I have to kill you now!   ~  GOTO 11
END

IF ~~ THEN BEGIN 1
  SAY ~Holy Kitty Cacophony, you scared the bejeebbers outta me!  Sure it's yer job to catch us thievers, but ye need not give me a heart attack too!  Hey. . .you're not the guard!  Yeesh!  Getting me all in a tizzy when you're here for the same thing as me.  Well, since you're here, howz about we work together?  Just for this one heist, I mean. You keep watch while I show the stash. I know a secret here and there, but we get equal shares OK?~
  IF ~~ THEN REPLY ~A good plan.  Do what you must and I'll keep watch.~  GOTO 6
  IF ~~ THEN REPLY ~I have no interest in a thief so easily caught.  Off with you!~  GOTO 5
  IF ~~ THEN REPLY ~You've seen me!  I'm sorry, but I have to kill you now!   ~  GOTO 11
END

IF ~~ THEN BEGIN 2
  SAY ~Wha. . .!  Aww nutbunnies, caught again!  Hey wait . . .there's no polish on yer boots; no snap in yer suspenders.  You're. . .you're not the guard.  They're always so much more. . .presentable.  Well. . .be on your way then.  I just wanna grab a few things and. . .be off.  There's lots for both of us so leave me be.  Hmph. . .not so much fun if just anyone can bust in here.~
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF WEIGHT #4
~NumTimesTalkedTo(1)
ReactionLT(LastTalkedToBy,NEUTRAL_LOWER)
~ THEN BEGIN 3
  SAY ~Just you leave me to my sneakin'.  I'm not gonna take the big stuff.  ~
  IF ~~ THEN EXIT
END

IF WEIGHT #5
~NumTimesTalkedTo(1)
ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN BEGIN 4
  SAY ~Well if your gonna be puppy-doggin  after me all night, maybe we should work together.  I know this place pretty good; know a few secrets.  Could be fun.  What say you? Wanna keep watch while I scout for pretties?~
  IF ~~ THEN REPLY ~Certainly. Do what you must while I will keep watch.~  GOTO 6
  IF ~~ THEN REPLY ~I have no interest in a thief so easily caught.  Off with you!~  GOTO 5
  IF ~~ THEN REPLY ~You've seen me!  I'm sorry, but I have to kill you now!   ~  GOTO 11
END

IF ~~ THEN BEGIN 5
  SAY ~Well!  There's no need to be rude about it!  Hmph!  Never meet nice people in this line of work!  No wonder people hate thieves!  Well, we steal stuff too, BUT BEING JERKS DOESN'T HELP!  Not one bit!  Goodbye!~
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 6
  SAY ~Double good and done!  Oh, it'll be great fun having someone around to talk to!  I don't meet many nice people in this trade.  Just because we steal doesn't mean we have to be bad.  Mostly I'm just curious what people have.  Here, I'll point out a few things and then we can get to sneakin.'  He he, such fun!~
  IF ~~ THEN DO ~DialogInterrupt(FALSE)
SetGlobal("AloraLoots","Global",1)
MoveToPoint([769.849])
DialogInterrupt(TRUE)
~ EXIT
END

IF WEIGHT #6
~Global("AloraLoots","Global",1)
~ THEN BEGIN 7
  SAY  ~Pretty good takin's with none too many bruises.  We do pretty good for just meeting!  How about we do this again, like all the time?  Wanna join up permanent?~
  IF ~~ THEN REPLY ~A splendid idea!  Welcome aboard.~  GOTO 9
  IF ~~ THEN REPLY ~I really am sorry but we've all we need.  ~  GOTO 8
  IF ~~ THEN REPLY ~Laughable!  What do I need you for?  Our job is done, now get lost!~  GOTO 5
END

IF ~~ THEN BEGIN 8
  SAY ~Ah well, easy go I guess.  Never get to keep my friends in this biz.  Specially the nice ones.  Bye, I guess.~
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 9 // from: 7.0
  SAY ~Friends we are, and nice ones too!  One for all and things like that!  Fun for all of us, I just KNOW it!~
  IF ~~ THEN DO ~JoinParty()
~ EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 10
  SAY ~I'm just a thief.  Sorry, but I don't have much to tell.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 11
  SAY ~Ahh!  I can't fight ya, but I'll call the guard I will!  Rather be in jail than dead from you!  Help!  Nasty mean and evil!! ~
  IF ~~ THEN DO ~CreateCreature("FLAM",[802.905],3)
CreateCreature("FLAM",[850.886],3)
EscapeArea()
~ EXIT
END

IF WEIGHT #7 ~false()~ THEN BEGIN 12
  SAY ~Ahh!  I can't fight ya, but I'll call the guard I will!  Rather be in jail than dead from you!  Help!  Nasty mean and evil!~
  IF ~~ THEN DO ~CreateCreature("FLAM",[802.905],3)
CreateCreature("FLAM",[850.886],3)
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 13
  SAY ~If that's the way you want it, then fine, I'll leave!  Sniff...~
  IF ~~ THEN DO ~LeaveParty()
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 14
  SAY ~I don't wanna go, but if yer gonna force me, then I guess I'll just mope around here 'till you come back to your senses and come back for me.~
  IF ~~ THEN DO ~LeaveParty()
SetDialog("Alorap")
~ EXIT
END
